import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:coidentity/coidentity.dart';

class Store extends ISharePreferences {
  Map<String, String> store = new Map<String, String>();
  @override
  String getString(String key) {
    return this.store[key];
  }

  @override
  void setString(String key, String value) {
    this.store[key] = value;
  }
}

void main() {
  test('init', () async {
    // 设置使用何种加密方法

    ISharePreferences store = new Store();

    final alice = CoreIdentity();
    final bob = CoreIdentity();
    await alice.setup(EncryptMethod.SM2, store).init();
    await bob.setup(EncryptMethod.SM2, store).init();

    final alice_acc = await alice.account();
    final bob_acc = await bob.account();

    final message =
        await alice.sendTo(bob_acc.publicKey, utf8.encode('我抓到你，你就让我嘿嘿黑！'));

    final utf8raw = await bob.decodeMessage(message);
    print('alice said to bob raw:${utf8.decode(utf8raw)}');

    expect(1, 1);
  });
}
